import { ElMessage } from 'element-plus';
import request from '/@/utils/request';
/**
 * @summary 通过客户ID 获取所有用户
 */
export const GetAuthUserByCorpIDStd = async (params, req: any = request) => {
	return req({
		url: '/Auth/User/Std/GetByCorpID@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * 通过客户ID 获取所有用户
 * 报错时返回 undefined
 * @returns
 */
export const getAuthUserByCorpIDStd = async (params, req: any = request) => {
	const res = await GetAuthUserByCorpIDStd(params, req);

	if (res?.Code === 0) {
		const resData = (res.Data || []) as any[];
		return resData;
	} else {
		ElMessage.error('获取用户失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return [];
	}
};
